%define dist WWW-Mechanize
Name: perl-%dist
Version: 1.34
Release: alt1.1

Summary: Handy web browsing in a Perl object
License: Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-1.34-alt1.patch

BuildArch: noarch

# Automatically added by buildreq on Tue Jun 17 2008
BuildRequires: perl-CGI perl-Test-Pod perl-libwww
BuildRequires: perl-Pod-Parser

%description
"WWW::Mechanize", or Mech for short, helps you automate interaction
with a website.  It supports performing a sequence of page fetches
including following links and submitting forms. Each fetched page 
is parsed and its links and forms are extracted. A link or a form 
can be selected, form fields can be filled and the next page can 
be fetched.  Mech also stores a history of the URLs you've visited, 
which can be queried and revisited.

See also: `Screen Scraping for Fun and Profit' by Randal Schwartz,
http://www.linux-mag.com/content/view/1322/2206/

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%perl_vendor_build --nolive

%install
%perl_vendor_install

%files
%doc	Changes
	%_bindir/mech-dump
%dir	%perl_vendor_privlib/WWW
	%perl_vendor_privlib/WWW/Mechanize.pm
%dir	%perl_vendor_privlib/WWW/Mechanize
	%perl_vendor_privlib/WWW/Mechanize/*.pm
%doc	%perl_vendor_privlib/WWW/Mechanize/*.pod

%changelog
* Sun Nov 07 2010 Vladimir Lettiev <crux@altlinux.ru> 1.34-alt1.1
- rebuilt with perl 5.12

* Tue Jun 17 2008 Alexey Tourbin <at@altlinux.ru> 1.34-alt1
- 1.18 -> 1.34

* Sun May 28 2006 Alexey Tourbin <at@altlinux.ru> 1.18-alt1
- 1.14 -> 1.18

* Wed Aug 31 2005 Alexey Tourbin <at@altlinux.ru> 1.14-alt1
- 1.12 -> 1.14
- disabled live tests

* Sun Mar 20 2005 Alexey Tourbin <at@altlinux.ru> 1.12-alt1
- 1.10 -> 1.12

* Thu Feb 03 2005 Alexey Tourbin <at@altlinux.ru> 1.10-alt1
- 1.02 -> 1.10
- manual pages not packaged (use perldoc)

* Sat Apr 17 2004 Alexey Tourbin <at@altlinux.ru> 1.02-alt1
- initial revision, inspired by Randal Schwartz
